Bug 139942 - xf86gammacfg doesn't update xorg.conf
xf86gammacfg doesn't update xorg.conf
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kdegraphics (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-18 16:05 EST by Salane King
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-19 05:38:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patches kdegraphics to enable xf86gammacfg to work with xorg.conf (659 bytes, patch)
2004-11-18 16:08 EST, Salane King
no flags Details | Diff

  None (edit)
Description Salane King 2004-11-18 16:05:24 EST
Description of problem:xf86gammacfg does not update xorg.conf


Version-Release number of selected component (if applicable):


How reproducible:allways


Steps to Reproduce:
1.xf86gammacfg .9 .9 .9 
2.ls xorg.conf.kgammaorig = not found
3.
  
Actual results:


Expected results:xf86gammacfg updates xorg.conf


Additional info: created patch 
cat xorg.patch
---
/usr/src/redhat/SOURCES/kdegraphics-3.3.1/kgamma/xf86gammacfg/xf86gammacfg.cpp
     2004-10-03 03:14:01.000000000 -0400
+++
/usr/src/redhat/source/kdegraphics-3.3.1/kgamma/xf86gammacfg/xf86gammacfg.cpp
      2004-11-18 06:23:30.000000000 -0500
@@ -55,6 +55,8 @@
     searchPaths.push_back("/usr/X11R6/etc/X11/XF86Config");
     searchPaths.push_back("/usr/X11R6/lib/X11/XF86Config-4");
     searchPaths.push_back("/usr/X11R6/lib/X11/XF86Config");
+    searchPaths.push_back("/usr/X11R6/lib/X11/xorg.conf");
+    searchPaths.push_back("/etc/X11/xorg.conf");

     std::vector<string>::iterator it = searchPaths.begin();
     for (; it != searchPaths.end(); ++it ) {
Comment 1 Salane King 2004-11-18 16:08:18 EST
Created attachment 106987 [details]
patches kdegraphics to enable xf86gammacfg to work with xorg.conf
Comment 2 Ngo Than 2004-11-19 05:38:07 EST
it will be included in next rebuild. Many thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.